Bug 833482 (CVE-2012-2746) - CVE-2012-2746 rhds/389: plaintext password disclosure in audit log
Summary: CVE-2012-2746 rhds/389: plaintext password disclosure in audit log
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-2746
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20120510,reported=2...
Depends On: 830256 830319 830889 835668 835669
Blocks: 829937
TreeView+ depends on / blocked
 
Reported: 2012-06-19 14:48 UTC by Vincent Danen
Modified: 2019-06-13 14:39 UTC (History)
6 users (show)

Fixed In Version: 389-ds-base 1.3.0.a1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-05 22:40:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0997 normal SHIPPED_LIVE Moderate: 389-ds-base security update 2012-06-20 15:39:25 UTC
Red Hat Product Errata RHSA-2012:1041 normal SHIPPED_LIVE Moderate: redhat-ds-base security update 2012-06-26 21:19:45 UTC

Description Vincent Danen 2012-06-19 14:48:41 UTC
A flaw was found [1] in the way 389 Directory Server and Red Hat Directory Server handled logging to the audit log.  When a user changed their password in the directory, the new password would be written to the audit log in plaintext.

Although the directory server administrator can configure the path and permissions of the audit log, by default it is mode 0600, owned by the directory server user, and is located in the directory server log directory (/var/log/dirsrv/slapd-[hostname]), which is mode 0770 and owned by the directory server user ("nobody", by default)

[1] https://fedorahosted.org/389/ticket/365

Comment 2 errata-xmlrpc 2012-06-20 15:19:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0997 https://rhn.redhat.com/errata/RHSA-2012-0997.html

Comment 3 errata-xmlrpc 2012-06-26 17:21:18 UTC
This issue has been addressed in following products:

  Red Hat Directory Server 8 for RHEL 5

Via RHSA-2012:1041 https://rhn.redhat.com/errata/RHSA-2012-1041.html

Comment 4 Vincent Danen 2012-06-26 18:57:31 UTC
Created 389-ds-base tracking bugs for this issue

Affects: epel-5 [bug 835669]

Comment 5 Vincent Danen 2012-06-26 19:01:24 UTC
Created 389-ds-base tracking bugs for this issue

Affects: fedora-all [bug 835668]

Comment 6 Vincent Danen 2013-02-05 22:40:53 UTC
This was fixed in 389-ds-base 1.3.0.a1.  A patch was included in the Fedora 17 1.2.11.6-1 package, and Fedora 18 has 1.3.0, so I would consider this fixed.  A patch was included in the EPEL5 1.2.10.11-1 package to correct this.


Note You need to log in before you can comment on or make changes to this bug.